## Meredith Schuman
## 06.03.2018
## Analysis of (E)-alpha-bergamotene emission
## WT, sJMT lines

## Housekeeping (Packages, Libraries and Working Directories)

  # install.packages("nlme")
  # install.packages("dplyr")
  # install.packages("multcomp")
  # install.packages("lsmeans")
  # install.packages("ggplot2")
  # install.packages("stats")
  # install.packages("grid")
library(gridExtra)
library(stats)
library(ggplot2)
library(lsmeans)
library(multcomp)
library(nlme)
library(dplyr)

  # If working on institute computer, setwd is not a valid command
setwd("C:/Users/Merry/Dropbox/Merry workspace/2 - Schuman2018FrontiersPlantSci/Schuman2018FrontiersPlantSci_Supplementary_Data")
  # Clear environment
rm(list = ls())

  # Load file to use (make sure it is in the working directory)
sJMT <- read.csv("0807 JMT-OE T2 287 and 289.csv")

## Check file
View(sJMT)
str(sJMT)

## Convert Variables to Factors
LineNoFac <- as.factor(sJMT$LineNo)

####################################################################

## Full Data Test and Plotting (EV)

  # First, attempt with linear model
M.lm <- lm(Percent.IS ~ LineNoFac, data = sJMT)
  # Check model with plot command
plot(M.lm, select = c(1))
  # Strong bias in residuals and Q-Q plot
  # Try logarithm
M2.lm <- lm(LogPerIS ~ LineNoFac, data = sJMT)
warnings()
plot(M2.lm, select = c(1))
  # Better but not solved. Try nonparametric tests.
kruskal.test(Percent.IS ~ LineNoFac, data = sJMT)
  # Kruskal-Wallis chi-squared = 8.3854, df = 2, p-value = 0.01511
  # Subset for Mann-Whitney tests
WT_287 <- subset(sJMT, LineNo == 1|LineNo == 2)
View(WT_287)
WT_289 <- subset(sJMT, LineNo == 1|LineNo == 3)
View(WT_289)
wilcox.test(Percent.IS ~ Line, data = WT_287)
  # W = 17, p-value = 0.02202
wilcox.test(Percent.IS ~ Line, data = WT_289)
  # W = 12, p-value = 0.005672