## Meredith Schuman
## 05.2018
## Analysis of JA-Ile accumulation
## WT, irJAR4/6

## Housekeeping (Packages, Libraries and Working Directories)

  # install.packages("nlme")
  # install.packages("dplyr")
  # install.packages("multcomp")
  # install.packages("lsmeans")
  # install.packages("ggplot2")
  # install.packages("stats")
  # install.packages("grid")
library(gridExtra)
library(stats)
library(ggplot2)
library(lsmeans)
library(multcomp)
library(nlme)
library(dplyr)

  # If working on institute computer, setwd is not a valid command
setwd("C:\Users\Merry\Dropbox\Merry workspace\2 - Schuman2018FrontiersPlantSci\5 - Schuman2018FrontiersPlantSci_Resubmit\Schuman2018FrontiersPlantSci_Supplementary_Data")
  # Clear environment
rm(list = ls())

  # Load file to use (make sure it is in the working directory)
JAIle <- read.csv("201206_JAR_WT_WOS_JA-Ile.csv")

## Check file
View(JAIle)
str(JAIle)

## Convert Variables to Factors
#LineNoFac <- as.factor(JAIle$LineNo)

####################################################################

## Full Data Test

  # First, attempt with linear model
M.lm <- lm(JA.Ile ~ Genotype, data = JAIle)
  # Check model with plot command
plot(M.lm, select = c(1))
  # Strong bias in residuals and Q-Q plot
  # Try logarithm
M2.lm <- lm(log10(JA.Ile) ~ Genotype, data = JAIle)
plot(M2.lm, select = c(1))
  # Residuals OK, but Q-Q plot not acceptable. That is OK for a Welch t-test.

t.test(log10(JA.Ile) ~ Genotype, data = JAIle)
  # Welch Two Sample t-test
  # 
  # data:  log10(JA.Ile) by Genotype
  # t = -11.617, df = 5.7607, p-value = 3.252e-05
  # alternative hypothesis: true difference in means is not equal to 0
  # 95 percent confidence interval:
  #   -0.8423105 -0.5467493
  # sample estimates:
  #   mean in group JAR  mean in group WT 
  # 1.685599          2.380129