## Meredith Schuman
## 05.2018
## Analysis of JA and JA-Ile accumulation
## WT, irJAR4/6, asLOX3, irCOI1

## Housekeeping (Packages, Libraries and Working Directories)

  # install.packages("nlme")
  # install.packages("dplyr")
  # install.packages("multcomp")
  # install.packages("lsmeans")
  # install.packages("ggplot2")
  # install.packages("stats")
  # install.packages("grid")
library(gridExtra)
library(stats)
library(ggplot2)
library(lsmeans)
library(multcomp)
library(nlme)
library(dplyr)

  # If working on institute computer, setwd is not a valid command
setwd("C:\Users\Merry\Dropbox\Merry workspace\2 - Schuman2018FrontiersPlantSci\5 - Schuman2018FrontiersPlantSci_Resubmit\Schuman2018FrontiersPlantSci_Supplementary_Data")
  # Clear environment
rm(list = ls())

  # Load file to use (make sure it is in the working directory)
JA_JAIle <- read.csv("201206_WT_JAR_LOX3_COI1_WOS_JA_JA-Ile.csv")

## Check file
View(JA_JAIle)
str(JA_JAIle)

## Convert Variables to Factors
#LineNoFac <- as.factor(JAIle$LineNo)

####################################################################

## Full Data Test

  # First, attempt with anova
JA.aov <- aov(JA ~ Genotype, data = JA_JAIle)
  # Check model with plot command
plot(JA.aov)
  # Some bias in residuals; Q-Q plot looks OK
  # Try logarithm
log.JA.aov <- aov(log10(JA) ~ Genotype, data = JA_JAIle)
plot(log.JA.aov)
  # Residuals and Q-Q plot OK.
summary(log.JA.aov)
  # Df Sum Sq Mean Sq F value   Pr(>F)    
  # Genotype     3 2.6163  0.8721   67.28 1.47e-08 ***
  #   Residuals   14 0.1815  0.0130                     
  # ---
  #   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
TukeyHSD(log.JA.aov)
  # Tukey multiple comparisons of means
  # 95% family-wise confidence level
  # 
  # Fit: aov(formula = log10(JA) ~ Genotype, data = JA_JAIle)
  # 
  # $Genotype
  # diff        lwr         upr     p adj
  # JAR-COI1   0.663143039  0.4411476  0.88513852 0.0000028
  # LOX3-COI1 -0.157202070 -0.3791976  0.06479341 0.2141628
  # WT-COI1    0.672030312  0.4380265  0.90603409 0.0000045
  # LOX3-JAR  -0.820345109 -1.0296445 -0.61104576 0.0000001
  # WT-JAR     0.008887272 -0.2131082  0.23088275 0.9994081
  # WT-LOX3    0.829232381  0.6072369  1.05122786 0.0000002

# Now JA-Ile
log.JA.Ile.aov <- aov(log10(JA.Ile) ~ Genotype, data = JA_JAIle)
plot(log.JA.Ile.aov)
# Residuals and Q-Q plot OK.
  # summary(log.JA.Ile.aov)
  # Df Sum Sq Mean Sq F value   Pr(>F)    
  # Genotype     3 1.8712  0.6237   38.35 5.29e-07 ***
  #   Residuals   14 0.2277  0.0163                     
  # ---
  #   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
TukeyHSD(log.JA.Ile.aov)
  # Tukey multiple comparisons of means
  # 95% family-wise confidence level
  # 
  # Fit: aov(formula = log10(JA.Ile) ~ Genotype, data = JA_JAIle)
  # 
  # $Genotype
  # diff         lwr        upr     p adj
  # JAR-COI1  -0.72195514 -0.97061694 -0.4732933 0.0000039
  # LOX3-COI1 -0.58669499 -0.83535679 -0.3380332 0.0000415
  # WT-COI1   -0.02742524 -0.28953780  0.2346873 0.9898025
  # LOX3-JAR   0.13526015 -0.09918045  0.3697007 0.3710354
  # WT-JAR     0.69452989  0.44586809  0.9431917 0.0000062
  # WT-LOX3    0.55926974  0.31060794  0.8079315 0.0000694